#include <SoftwareSerial.h>      //!!Original GMD  SoftwareSerial nicht für Digispark
SoftwareSerial mySerial(10,11);  // RX, TX  Uno-pins!!!!!RX -> nu (not used)
                                 //=================
#define sensorPin 2
#define ledPin    13

#define Start_Byte 0x7E
#define Version_Byte 0xFF
#define Command_Length 0x06
#define End_Byte 0xEF
#define Acknoledge 0x00  // Returns info with command 0x41 [0x01: info, 0x00: no info]

#define ACTIVATED LOW

boolean isPlaying = false;

void setup() {
  pinMode(sensorPin, INPUT);
  pinMode(ledPin, OUTPUT);

  mySerial.begin (9600);
  delay(1000);
}

void loop() {
  if((digitalRead(sensorPin)) == HIGH && !isPlaying) {
    digitalWrite(ledPin, HIGH);
    play();
    isPlaying = true;
  }
  if((digitalRead(sensorPin)) == LOW && isPlaying) {
    digitalWrite(ledPin, LOW);
    pause();
    isPlaying = false;
  }
}

void pause() {
    execute_CMD(0x0E,0,0);
    delay(500);
}

void play() {
    execute_CMD(0x0D,0,1);
    delay(500);
}

//void next() {
//    execute_CMD(0x0D,0,1);
//    delay(500);
//}

void execute_CMD(byte CMD, byte Par1, byte Par2)
// Excecute the command an parameters
{
//Calculate the checksum (2 bytes)
word checksum = -(Version_Byte + Command_Length + CMD + Acknoledge + Par1 +Par2);
//Build the command_line
byte Command_line[10] = {Start_Byte, Version_Byte, Command_Length, CMD, Acknoledge,
Par1, Par2, highByte(checksum), lowByte(checksum), End_Byte};  
//Send the command line to the module
for (byte k=0; k<10; k++)
{
mySerial.write( Command_line[k]);
}
}

